/*
 * Created on Feb 3, 2004
 *
 */
package AcmeDiagramLegend.figures;

import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.geometry.Rectangle;

import AcmeDiagramLegend.model.ColumnSeparator;



/**
 * @author Bradley Schmerl
 * Created Feb 3, 2004
 */
public class ColumnSeparatorFigure extends Figure {

	private ColumnSeparator _model;
	/**
	 * 
	 */
	public ColumnSeparatorFigure() {
		super ();
	}
	/* (non-Javadoc)
	 * @see org.eclipse.draw2d.IFigure#paint(org.eclipse.draw2d.Graphics)
	 */
	public void paint(Graphics graphics) {
		graphics.pushState();
//		graphics.setLineStyle (Graphics.LINE_DASHDOT);
		graphics.setLineWidth(1);
		Rectangle bounds = getBounds ();
		int x = bounds.getCenter ().x;
		graphics.drawLine (x, bounds.y, x, bounds.y + bounds.height);
		graphics.popState ();
	}
	
	
	/**
	 * @return Returns the model.
	 */
	public ColumnSeparator getModel() {
		return _model;
	}
	/**
	 * @param model The model to set.
	 */
	public void setModel(ColumnSeparator model) {
		_model = model;
	}
}
