/*
 * Created on Feb 3, 2004
 *
 */
package AcmeDiagramLegend.model;

import java.util.ArrayList;
import java.util.Iterator;



/**
 * @author Bradley Schmerl
 * Created Feb 3, 2004
 */
public class ColumnSeparator {

	private AcmeLegend _legend;
	private int _column;
	private ArrayList _items = new ArrayList ();

	/**
	 * 
	 */
	public ColumnSeparator(AcmeLegend legend, int column) {
		_legend = legend;
		_column = column;
		_items = new ArrayList ();
	}
	/**
	 * @return Returns the column.
	 */
	public int getColumn() {
		return _column;
	}
	/**
	 * @return Returns the legend.
	 */
	public AcmeLegend getLegend() {
		return _legend;
	}
	
	public void addMember (AcmeLegendItemDescription item) {
		_items.add (item);
	}
	
	public void removeMember (AcmeLegendItemDescription item) {
		_items.remove (item);
	}
	
	public Iterator getMembers () {
		return _items.iterator();
	}
}
