/*
 * Created on Feb 5, 2004
 *
 */
package AcmeDiagramLegend.parts;

import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.GraphicalEditPolicy;
import org.eclipse.gef.requests.ChangeBoundsRequest;

import AcmeDiagramLegend.actions.SetSeparatorConstraintCommand;



/**
 * @author Bradley Schmerl
 * Created Feb 5, 2004
 */
public class SeparatorDragPolicy extends GraphicalEditPolicy {

	/**
	 * 
	 */
	public SeparatorDragPolicy() {
		super ();
	}
	/* (non-Javadoc)
	 * @see org.eclipse.gef.EditPolicy#understandsRequest(org.eclipse.gef.Request)
	 */
	public boolean understandsRequest(Request req) {
		return req.getType().equals (REQ_MOVE);
	}
	/* (non-Javadoc)
	 * @see org.eclipse.gef.EditPolicy#getCommand(org.eclipse.gef.Request)
	 */
	public Command getCommand(Request request) {
		final ChangeBoundsRequest req = (ChangeBoundsRequest )request;
		ColumnSeparatorEditPart ep = (ColumnSeparatorEditPart )getHost ();
		return new SetSeparatorConstraintCommand (ep, (LegendEditPart )ep.getParent (), req.getLocation ().x);
	}
}
