/*
 * Created on Nov 10, 2003
 * 
 */
package AcmeStudio.core.actions;

import org.eclipse.gef.DefaultEditDomain;
import org.eclipse.gef.GraphicalViewer;
import org.eclipse.gef.editparts.ScalableFreeformRootEditPart;
import org.eclipse.gef.ui.parts.ScrollingGraphicalViewer;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

import AcmeStudio.ui.editors.diagram.parts.ElementEditPartFactory;

/**
 * @author Bradley Schmerl
 *
 */
public class AcmePrintAction extends Action implements IObjectActionDelegate {

    private Object contents;
    public AcmePrintAction () {}
    
    protected Object getContents () {
        return contents;
    }
    /**
     * @param action
     * @param targetPart
     * @see org.eclipse.ui.IObjectActionDelegate#setActivePart(org.eclipse.jface.action.IAction, org.eclipse.ui.IWorkbenchPart)
     */
    public void setActivePart(IAction action, IWorkbenchPart targetPart) {
        Shell shell = new Shell ();
        GraphicalViewer viewer = new ScrollingGraphicalViewer ();
        viewer.createControl (shell);
        viewer.setEditDomain (new DefaultEditDomain (null));
        viewer.setRootEditPart(new ScalableFreeformRootEditPart ());
        viewer.setEditPartFactory(new ElementEditPartFactory () );
        
    }

    /**
     * @param action
     * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
     */
    public void run(IAction action) {
    }

    /**
     * @param action
     * @param selection
     * @see org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)
     */
    public void selectionChanged(IAction action, ISelection selection) {
        if (!(selection instanceof IStructuredSelection)) return;
        IStructuredSelection sel = (IStructuredSelection )selection;
        if (sel.size () != 1) return;
      
            
     }

}
