/*
 * Created on Apr 5, 2003
 */
package AcmeStudio.core.resource;

/**
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 *
 * Default implementation of the IASResourceChangeEvent interface, to populate
 * the elements of the event, such as the source.
 */
public class ASResourceChangeEvent implements IASResourceChangeEvent {

    private IASResource _source = null;
    private int _type = NONE;

	/**
	 * Construct an instance with the event source.
	 */
	public ASResourceChangeEvent (IASResource source, int type) {
        _source = source;
        _type = type;
	}

	/* (non-Javadoc)
	 * @see AcmeStudio.core.resource.IASResourceChangeEvent#getSource()
	 */
	public IASResource getSource() {
        return _source;
	}

	/* (non-Javadoc)
	 * @see AcmeStudio.core.resource.IASResourceChangeEvent#getType()
	 */
	public int getType() {
        return _type;
	}

}
