/*
 * Created on Mar 3, 2003
 *
 */
package AcmeStudio.prefs;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author schmerl
 */
public class Messages {

    private static final String BUNDLE_NAME = "prefs.AcmeStudio"; //$NON-NLS-1$

    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

    private Messages() {
    }

    public static String getString(String key) { 
        try {
            return RESOURCE_BUNDLE.getString(key);
        }
        catch (MissingResourceException e) {
            return '!' + key + '!';
        }
    }
}
