/*
 * Created on Oct 9, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.palette;

import org.eclipse.gef.palette.ToolEntry;
import org.eclipse.gef.ui.palette.PaletteViewer;

import AcmeStudio.ui.editors.diagram.palette.extension.AcmeStudioPaletteEditPartFactory;

/**
 * @author Bradley Schmerl
 * Created Oct 9, 2003
 */
public class AcmeStudioResilientPaletteViewer extends PaletteViewer {

	/**
	 * 
	 */
	public AcmeStudioResilientPaletteViewer() {
		super();
		// Make sure the edit part factory is the AcmeStudio one
		setEditPartFactory (new AcmeStudioPaletteEditPartFactory ());
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.ui.palette.PaletteViewer#setActiveTool(org.eclipse.gef.palette.ToolEntry)
	 */
	public void setActiveTool(ToolEntry newMode) {
		try {
			super.setActiveTool (newMode);
		}
		catch (Exception e) {
		}
	}

}
