/*
 * Created on May 29, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.styles;

import org.eclipse.draw2d.geometry.Rectangle;


/**
 * Enumeration of horizontal alignment options
 */
public class Location {
    public static final int DISABLED = 1,
        ENABLED = 0;
    private Rectangle _rectangle = null; 
    private int _status = Location.ENABLED;
   
    public Location(Rectangle rect) {
        _rectangle = rect;
        _status = Location.ENABLED;
    }
    
    public Location() {
        _status = Location.ENABLED;
    }

    /**
     * @return Rectangle
     */
    public Rectangle getRectangle() {
        return _rectangle;
    }

    /**
     * @return int
     */
    public int getStatus() {
        return _status;
    }

    /**
     * Sets the _rectangle.
     * @param _rectangle The _rectangle to set
     */
    public void setRectangle(Rectangle _rectangle) {
        this._rectangle = _rectangle;
    }

    /**
     * Sets the _status.
     * @param _status The _status to set
     */
    public void setStatus(int _status) {
        this._status = _status;
    }

}