/*
 * Created on May 29, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.styles;

import AcmeStudio.ui.editors.diagram.styles.constants.*;


public class PlacementRule {
    public String _type = null;
    public int _side = SideOptions.DEFAULT;
    public int _alignment = AlignmentOptions.DEFAULT;
    protected int _region = 1;
    private boolean _enabled = true;
    public boolean equals(Object obj) {
        if (obj instanceof PlacementRule) {
            if (((PlacementRule) obj)._type.equals(this._type))
                return true;
        }
        return false;
    }
    
    /**
     * @return int
     */
    public int getAlignment() {
        return _alignment;
    }

    /**
     * @return int
     */
    public int getSide() {
        return _side;
    }

    /**
     * @return String
     */
    public String getType() {
        return _type;
    }

    /**
     * Sets the _alignment.
     * @param _alignment The _alignment to set
     */
    public void setAlignment(int _alignment) {
        this._alignment = _alignment;
    }

    /**
     * Sets the _side.
     * @param _side The _side to set
     */
    public void setSide(int _side) {
        this._side = _side;
    }

    /**
     * Sets the _type.
     * @param _type The _type to set
     */
    public void setType(String _type) {
        this._type = _type;
    }

    /**
     * @return int
     */
    public int getRegion() {
        return _region;
    }

    /**
     * Sets the _row.
     * @param _row The _row to set
     */
    public void setRegion(int _region) {
        this._region = _region;
    }

    /**
     * @return boolean
     */
    public boolean isEnabled() {
        return _enabled;
    }

    /**
     * Sets the _enabled.
     * @param _enabled The _enabled to set
     */
    public void setEnabled(boolean _enabled) {
        this._enabled = _enabled;
    }
    
    public PlacementRule getCopy() {
        PlacementRule rule = new PlacementRule();
        rule._alignment = this._alignment;
        rule._enabled = this._enabled;
        rule._region = this._region;
        rule._side = this._side;
        rule._type = this._type;
        return rule;
    }

}