/*
 * Created on Mar 24, 2004
 *
 */
package AcmeStudio.ui.editors.diagram.styles.constants;

import java.util.ArrayList;
import java.util.List;


/**
 * Enumeration of label options
 */
public class LabelOptions {
    public static final int DEFAULT = 0,
        NOLABEL = 1,
        ACMEID = 2,
        ACMEIDANDTYPE = 3,
        ACMEPROPERTYVALUE = 4,
        ACMETYPE = 5,
        STATICLABEL = 6;
    public static final List LABELNAMES = new ArrayList();
    static {
        LABELNAMES.add(DEFAULT, "Default");
        LABELNAMES.add(NOLABEL, "No Label");
        LABELNAMES.add(ACMEID, "Acme Identifier");
        LABELNAMES.add(ACMEIDANDTYPE, "Acme ID and Type");
        LABELNAMES.add(ACMEPROPERTYVALUE, "Acme Property Value");
        LABELNAMES.add(ACMETYPE, "AcmeType");
        LABELNAMES.add(STATICLABEL, "Static Label");
    }
}