/*
 * Created on Mar 24, 2004
 *
 */
package AcmeStudio.ui.editors.diagram.styles.constants;

import java.util.ArrayList;
import java.util.List;


/**
 * Enumeration of vertical alignment options
 */
public class VerticalTextAlignmentOptions {
    public static final int DEFAULT = 0,
        TOP = 1,
        CENTER = 2,
        BOTTOM = 3,
        ABOVE = 4,
        BELOW = 5;
    public static final String[] LABELS =
        new String[] {
            "Default",
            "Top",
            "Center",
            "Bottom",
            "Above",
            "Below" };
    public static final List VERTALIGNNAMES = new ArrayList();
    static {
        VERTALIGNNAMES.add(DEFAULT, "Default");
        VERTALIGNNAMES.add(TOP, "Top");
        VERTALIGNNAMES.add(CENTER, "Center");
        VERTALIGNNAMES.add(BOTTOM, "Bottom");
        VERTALIGNNAMES.add(ABOVE, "Above");
        VERTALIGNNAMES.add(BELOW, "Below");
    }
}