/*
 * Created on Oct 8, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.templates;

import org.eclipse.gef.requests.CreationFactory;

import acmeLib.elements.*;

/**
 * @author Bradley Schmerl
 * Created Oct 8, 2003
 */
public class AssignTypeTemplateFactory implements CreationFactory {

	public class AssignTypeTarget {
		protected AcmeElement _target;
		
		/**
		 * @return Returns the target.
		 */
		public AcmeElement getTarget() {
			return _target;
		}

		/**
		 * @param target The target to set.
		 */
		public void setTarget(AcmeElement target) {
			_target = target;
		}

	}
	private AcmeElementType _type;
	private AcmeElement _object;

	/**
	 * 
	 */
	public AssignTypeTemplateFactory(AcmeElementType type, AcmeElement object) {
		super();
		_type = type;
		_object = object;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getNewObject()
	 */
	public Object getNewObject() {
		AssignTypeTarget t = new AssignTypeTarget ();
		t.setTarget (_object);
		return t;
//		if (_type instanceof AcmeComponentType && _object instanceof AcmeComponent) {
//			return AcmeComponent.class;
//		}
//		else if (_type instanceof AcmeConnectorType && _object instanceof AcmeConnector) {
//			return AcmeConnector.class;
//		}
//		else if (_type instanceof AcmeRoleType && _object instanceof AcmeRole) {
//			return AcmeRole.class;
//		}
//		else if (_type instanceof AcmePortType && _object instanceof AcmePort) {
//			return AcmePort.class;
//		}
//		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getObjectType()
	 */
	public Object getObjectType() {
		return _type;
	}

}
