package AcmeStudio.ui.editors.text;

import org.eclipse.jface.text.rules.RuleBasedScanner;

/**
 * @author schmerl
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class AcmeEditorEnvironment {
    
    private static AcmeColorProvider _colorProvider;
    private static AcmeCodeScanner _codeScanner;
    
    public static AcmeColorProvider getAcmeColorProvider () {
        if (_colorProvider == null) {
            _colorProvider = new AcmeColorProvider ();
        }
        return _colorProvider;  
    }
    
    public static RuleBasedScanner getAcmeCodeScanner () {
        if (_codeScanner == null) {
            _codeScanner = new AcmeCodeScanner (getAcmeColorProvider ());
        }
        return _codeScanner;
    }

}
