/*
 * Created on Jan 6, 2004
 *
 */
package AcmeStudio.ui.views.providers;

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import AcmeStudio.util.ImageManager;
import acmeLib.AcmeType;
import acmeLib.elements.AcmeElementType;



/**
 * @author Bradley Schmerl
 * Created Jan 6, 2004
 */
public class AcmeTypeLabelProvider extends LabelProvider {

	/**
	 * 
	 */
	public AcmeTypeLabelProvider() {
		super ();
	}
	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ILabelProvider#getImage(java.lang.Object)
	 */
	public Image getImage(Object element) {
		if (element instanceof AcmeElementType) {
			return ImageManager.getSmallImageByType(element);
		}
		return null;

	}
	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ILabelProvider#getText(java.lang.Object)
	 */
	public String getText(Object element) {
		if (element instanceof AcmeType) {
			return ((AcmeType )element).getTypeName();
		}
		return "???";
	}
}
