/*
 * Created on Oct 14, 2003
 *  
 */
package AcmeStudio.wizards.connection;

public class PortRoleAssociation
{
	String _portType;
	String _portName;
	String _roleType;
	String _roleName;
	String _componentType;

	public PortRoleAssociation()
	{
	}

	
	/**
	 * @param obj
	 * @return
	 * @see java.lang.Object#equals(java.lang.Object)
	 **/
	public boolean equals(Object obj) {
		if (obj instanceof PortRoleAssociation) {
			PortRoleAssociation assoc = (PortRoleAssociation )obj;
			return safeEquals (_portType, assoc._portType) && safeEquals (_portName, assoc._portName) && 
				safeEquals (_roleType, assoc._roleType) && safeEquals (_roleName, assoc._roleName) &&
				safeEquals (_componentType, assoc._componentType);
		
			
		}
		return false;
	}
	
	private boolean safeEquals (String s1, String s2) {
		if (s1 == null && s2 == null) return true;
		if (s1 == null || s2 == null) return false;
		return s1.equals (s2);
	}
	
	//deprecated 
	public PortRoleAssociation(
			String pt, String rt, String rn)
	{
		setPortType(pt);
		setRoleType(rt);
		setRoleName(rn);
		setComponentType(null);
	}

	public PortRoleAssociation(
			String pt, String rt, String rn, String pn, String ct)
	{
		setPortType(pt);
		setPortName(pn);
		setRoleType(rt);
		setRoleName(rn);
		setComponentType(ct);
	}

	/**
	 * @return Returns the portType.
	 */
	public String getPortType()
	{
		return _portType;
	}

	/**
	 * @param portType
	 *                 The portType to set.
	 */
	public void setPortType(String portType)
	{
		_portType = portType;
	}

	/**
	 * @return Returns the roleName.
	 */
	public String getRoleName()
	{
		return _roleName;
	}

	/**
	 * @param roleName
	 *                 The roleName to set.
	 */
	public void setRoleName(String roleName)
	{
		_roleName = roleName;
	}

	/**
	 * @return Returns the roleType.
	 */
	public String getRoleType()
	{
		return _roleType;
	}

	/**
	 * @param roleType
	 *                 The roleType to set.
	 */
	public void setRoleType(String roleType)
	{
		_roleType = roleType;
	}

	/**
	 * @return Returns the _componentName.
	 */
	public String getComponentType()
	{
		return _componentType;
	}

	/**
	 * @param name
	 *                 The _componentName to set.
	 */
	public void setComponentType(String name)
	{
		_componentType = name;
	}
    /**
     * @return Returns the _portName.
     */
    public String getPortName()
    {
        return _portName;
    }
    /**
     * @param name The _portName to set.
     */
    public void setPortName(String name)
    {
        _portName = name;
    }
}