/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package AcmeStudioShapeExtension.model;

import org.eclipse.jface.viewers.ICellEditorValidator;

public class AnnotationNumberCellEditorValidator
	implements ICellEditorValidator {

private static AnnotationNumberCellEditorValidator instance;

public static AnnotationNumberCellEditorValidator instance() {
	if (instance == null) 
		instance = new AnnotationNumberCellEditorValidator();
	return instance;
}

public String isValid(Object value) {
	try {
		new Integer((String)value);
		return null;
	} catch (NumberFormatException exc) {
		return "Not a valid number";
	}
}

}