/*
 * Created on Oct 13, 2004
 *
 */
package AcmeStudioShapeExtension.model;

import org.eclipse.swt.graphics.Image;
import AcmeStudioShapeExtension.AcmeStudioShapeExtensionPlugin;


/**
 * @author Bradley Schmerl
 * Created Oct 13, 2004
 */
public class RoundedRectangleAnnotation extends Annotation {

	public static final Image	ROUNDED_RECTANGLE_ICON	= new Image (null, AcmeStudioShapeExtensionPlugin.class.getResourceAsStream("icons/rounded_rectangle16.gif"));

	private static final long serialVersionUID = 1;
	
	/**
	 * @return
	 * @see AcmeStudioShapeExtension.model.Annotation#getIcon()
	 **/
	public Image getIcon() {
		 return ROUNDED_RECTANGLE_ICON;
	}
	
	public String toString () {
		return "RoundedRectangle " + hashCode ();
	}
}
