// Class: AcmeTypeParameter
// Purpose: Simple class that acts as a parameter type to support the passing
//          of type objects as parameters to and return values from, design
//          analyses.
//
// Revision History:
//    Date:   Person    Change
//    1/27/98  RTM       created class

package acmeLib;

public class AcmeTypeParameter implements AcmeType
{
    protected String typeName;

    public AcmeTypeParameter(String newTypeName) {
        this.typeName = newTypeName;
    };

    public String getTypeName() { return this.typeName; }
    public void setTypeName(String newTypeName) { this.typeName = newTypeName; }

}