
package acmeLib.core.exceptions;


/** 
 *  Class:   AcmePropertyExtensionFailedException
  <BR>
 *  Purpose: Exception that is raised when an illegal property extension
<BR>
 *           is attempted.
<BR><BR>
 *
 *  Revision History:
<BR>
 *    Date:     Person    Change
<BR>
 *    5/6/98   RTM      * Created
<BR><BR>
 *
 *  @author Bob Monroe<BR>
 */

public class AcmePropertyExtensionFailedException extends AcmeException {

  /**
   * This is the constructor for this class
   */
    public AcmePropertyExtensionFailedException() {
        super("Acme Property Extension Failed Exception");
    };

  /**
   * This is the constructor for this class
   * @param errMsg the message to be printed when this exception occurs
   */
    public AcmePropertyExtensionFailedException(String errMsg) {
        super(errMsg);
    };
};
