/*
 * Created on Mar 1, 2003
 *
 */
package acmeLib.core.io;

/**
 * @author schmerl
 */
public class Region {
              
        
    protected int beginIndex = -1;
    protected int endIndex = -1;
    protected int beginLine = -1;
        
    public Region () {};
        
        
    /**
     * @return int
     */
    public int getBeginIndex() {
        return beginIndex;
    }
    
    /**
     * Sets the beginIndex.
     * @param beginIndex The beginIndex to set
     */
    public void setBeginIndex(int beginIndex) {
        this.beginIndex = beginIndex;
    }
    
    /**
     * @return int
     */
    public int getEndIndex() {
        return endIndex;
    }
    
    /**
     * Sets the endIndex.
     * @param endIndex The endIndex to set
     */
    public void setEndIndex(int endIndex) {
        this.endIndex = endIndex;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return "[" + beginIndex + ", " + endIndex + "]";
    }
    
    public boolean isValid () {
        return endIndex > -1 && beginIndex >= -1;
    }
    /**
     * @return int
     */
    public int getBeginLine() {
        return beginLine;
    }

    /**
     * Sets the beginLine.
     * @param beginLine The beginLine to set
     */
    public void setBeginLine(int beginLine) {
        this.beginLine = beginLine;
    }

};
