/*
 * Created on Feb 28, 2003
 *
 */
package acmeLib.core.io;

import java.util.HashMap;
import java.util.Map;

import acmeLib.AcmeObject;

/**
 * @author schmerl
 */
public class RegionManager {

    protected Map regionMap = new HashMap ();
    
    public Map getRegionMap () {
        return regionMap;
    }
    
    public Region getRegion (AcmeObject o) {
        if (regionMap.containsKey (o)) {
            return (Region )regionMap.get (o);
        }
        return new Region ();
    }
    
    public void addRegion (AcmeObject o, Region r) {
        regionMap.put (o, r);
    }
    
}
