/*
 * Created on Jul 14, 2004
 *
 */
package acmeLib.designRules.feedback;

import java.util.List;
import acmeLib.designRules.BooleanExpressionNode;


/**
 * @author Bradley Schmerl
 * Created Jul 14, 2004
 */
public class BooleanExpressionEvaluationFeedback extends EvaluationFeedback {

	private final BooleanExpressionNode _node;

	/**
	 * @param result
	 */
	public BooleanExpressionEvaluationFeedback(BooleanExpressionNode node, Object result) {
		super (result);
		_node = node;
	}

	/**
	 * @return
	 * @see acmeLib.designRules.feedback.EvaluationFeedback#getVisitedString()
	 **/
	public String getVisitedString() {
		return _node.toString ();
	}
}
