package acmeLib.errorManagement;


/**
 * Class: TranslationError<br>
 * Purpose: An error was encountered when translating into or out of Acme.
 *<br>
 * Revision History:<br>
 *    Date:   Person    Change<br>
 *    6/16/98  RTM       created initial class<br>
 * @author Bob Monroe
 */

public class TranslationError extends AcmeError {

  /**
   * default constructors that primarily make use of super-class constructor
   */

    public TranslationError() {
        super();
        this.errorMessage = "Unspecified TranslationError";
    };


  /**
   * This is the constructor for this class
   * @param errorSource The source of error
   * @param msg The error message
   */
    public TranslationError(Object errorSource, String msg) {
        super(errorSource, msg);
    };

};