// Class: WalkerElementOperation
// Purpose: Class Interface that supports the passing of arbitrary
//          functions to the GraphWalker to perform an operation on
//          every element in the graph.
//
// Revision History:
//    Date:     Person     Change
//    5/26/98    RTM        * created initial class

package acmeLib.tools;

import acmeLib.elements.AcmeElement;

public interface WalkerElementOperation {
    public void doElementOp(AcmeElement elt);
};