/*
 * Created on Sep 29, 2003
 *
 */
package AcmeStudio.core.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import AcmeStudio.util.Helper;
import acmeLib.elements.AcmeElement;

/**
 * @author Bradley Schmerl
 * Created Sep 29, 2003
 */
public class ForceTypecheckAction implements IWorkbenchWindowActionDelegate {

	private AcmeElement[] _elements;

	/**
	 * 
	 */
	public ForceTypecheckAction() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchWindowActionDelegate#dispose()
	 */
	public void dispose() {
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IWorkbenchWindowActionDelegate#init(org.eclipse.ui.IWorkbenchWindow)
	 */
	public void init(IWorkbenchWindow window) {
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void run(IAction action) {
		for (int i = 0; i < _elements.length; i++) {
			_elements [i].typecheck ();
		}
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IActionDelegate#selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		action.setEnabled (false);
		_elements = Helper.getAcmeElementsFromSelection(selection);
		if (_elements != null && _elements.length > 0) action.setEnabled (true);
	}

}
