/*
 * Created on Apr 5, 2003
 */
package AcmeStudio.core.resource;

/**
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 *
 * Interface for a listener of an ASResource change.
 * This is used to mask the changes of Eclipse resource as changes of
 * AcmeStudio resource.
 */
public interface IASResourceChangeListener {
    /**
     * Notifies of ASResource change.
     * @param evt  the ASResource change event
     */
    public void resourceChanged (IASResourceChangeEvent evt);
}
