/*
 * Created on Mar 20, 2003
 */
package AcmeStudio.core.resource.provider;

import org.eclipse.ui.texteditor.IElementStateListener;
import org.eclipse.ui.texteditor.IElementStateListenerExtension;


/**
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 *
 * Listener to the state of the element held by an AcmeDocumentProvider
 * used by the AcmeTextEditor.
 */
public class ASElementStateListener
implements IElementStateListener, IElementStateListenerExtension {

	/**
	 * @param ASResourceProvider
	 */
	ASElementStateListener(ASResourceProvider provider) {
	}
    /**
     * @see org.eclipse.ui.texteditor.IElementStateListener#elementContentAboutToBeReplaced(Object)
     */
    public void elementContentAboutToBeReplaced(Object element) {
//        Debug.traceln("ASElementStateListener.elementContentAboutToBeReplaced():  element class == " + element.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListener#elementContentReplaced(Object)
     */
    public void elementContentReplaced(Object element) {
//        Debug.traceln("ASElementStateListener.elementContentReplaced():  element class == " + element.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListener#elementDeleted(Object)
     */
    public void elementDeleted(Object element) {
//        Debug.traceln("ASElementStateListener.elementDeleted():  element class == " + element.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListener#elementDirtyStateChanged(Object, boolean)
     */
    public void elementDirtyStateChanged(Object element, boolean isDirty) {
//        Debug.traceln("ASElementStateListener.elementDirtyStateChanged():  element class == " + element.getClass().getName());
        // Bug fix 68, removing redundant setIsDirty calls. 
//        _provider.setIsDirty(isDirty);
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListener#elementMoved(Object, Object)
     */
    public void elementMoved(Object originalElement, Object movedElement) {
//        Debug.traceln("ASElementStateListener.elementMoved():  element class == " + movedElement.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListenerExtension#elementStateChangeFailed(Object)
     */
    public void elementStateChangeFailed(Object element) {
//        Debug.traceln("ASElementStateListener.elementStateChangeFailed():  element class == " + element.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListenerExtension#elementStateChanging(Object)
     */
    public void elementStateChanging(Object element) {
//        Debug.traceln("ASElementStateListener.elementStateChanging():  element class == " + element.getClass().getName());
    }

    /**
     * @see org.eclipse.ui.texteditor.IElementStateListenerExtension#elementStateValidationChanged(Object, boolean)
     */
    public void elementStateValidationChanged(Object element, boolean isStateValidated) {
//        Debug.traceln("ASElementStateListener.elementStateValidationChanged():  element class == " + element.getClass().getName());
    }
}
