package AcmeStudio.core.resource.provider;

/**
 * Interface for a listener of an AcmeStudio Resource Provider
 *
 * @author Shang-Wen Cheng (zensoul@cs.cmu.edu)
 */
public interface IResourceProviderListener {
    /** 
     * Signals a change in the resource provider.
     * @param event  the provider change event
     */
    public void providerChanged (ResourceProviderEvent event);
}
