package AcmeStudio.model;

import java.util.Iterator;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.commands.CompoundCommand;

import AcmeStudio.util.AcmeStudioChangeManager;
import acmeLib.elements.AcmeDesign;

/**
 * @author schmerl
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ModelCompoundCommand extends CompoundCommand {


    public ModelCompoundCommand (String label) {
        super (label); 
    }
    
    public void execute (AcmeDesign context) {
        AcmeStudioChangeManager.globalChangeManager.getCommandStack(context).execute (this);
    }
    
    public void checkError () throws Exception {
    	for (Iterator iter = this.getCommands().iterator (); iter.hasNext ();) {
			Command cmd = (Command )iter.next ();
			if (cmd instanceof ModelCommand) ((ModelCommand )cmd).checkError ();
		}
    }
}
