/*
 * Created on Mar 3, 2003
 *
 */
package AcmeStudio.prefs;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import AcmeStudio.AcmeStudioPlugin;

/**
 * @author schmerl
 */
public class GlobalPreferences extends FieldEditorPreferencePage implements IWorkbenchPreferencePage{


    public GlobalPreferences () {
        super ("AcmeStudio", FieldEditorPreferencePage.GRID); //$NON-NLS-1$
    }
    /* (non-Javadoc)
     * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
     */
    protected void createFieldEditors() {
//        String title = Messages.getString ("GlobalPreferences.AutoRefreshWorkspace");
        addField (new BooleanFieldEditor ("AutoRefresh", "Automatically refresh workspace", getFieldEditorParent()));
    }

    /* (non-Javadoc)
     * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
     */
    public void init(IWorkbench workbench) {

    }

    /* (non-Javadoc)
     * @see org.eclipse.jface.preference.PreferencePage#doGetPreferenceStore()
     */
    protected IPreferenceStore doGetPreferenceStore() {
        return AcmeStudioPlugin.getDefault().getPreferenceStore();
    }

}
