package AcmeStudio.ui.editors.diagram.actions;

import org.eclipse.gef.EditPart;

public class CreateElementCommand
	extends AcmeStudio.model.CreateElementCommand {


	private EditPart editPart = null;

	public CreateElementCommand(EditPart editPart) {
		super();
		this.editPart = editPart;
        _announcer = editPart.getRoot().getViewer();
	}


	public synchronized void execute() {
        super.execute ();
        editPart.refresh();			
		editPart.activate ();
	}


	public void redo() {
        super.redo ();
        editPart.refresh();
	}


	public void undo() {
        super.undo();
        editPart.refresh ();
	}

	/**
	 * @see org.eclipse.gef.commands.Command#canUndo()
	 */
	public boolean canUndo() {
		return true;
	}

	/**
	 * @see org.eclipse.gef.commands.Command#canExecute()
	 */
	public boolean canExecute() {
//		if (child instanceof AcmeComponent || child instanceof AcmeConnector) {
//			return super.canExecute();
//		}
//		else if (child instanceof AcmePort) {
//			// Am I over a component?
//			Point scaledLocation = location;
//
////			double scale = Helper.getScale (((ElementEditPart )editPart).getFigure ());
////			Helper.scaleLocation (scaledLocation, 1/scale);
//			ScrollingGraphicalViewer viewer = (ScrollingGraphicalViewer )editPart.getRoot ().getViewer();
////			FigureCanvas figureCanvas =
////                (FigureCanvas) editPart.getRoot().getViewer().getControl();
////      		Rectangle rect = figureCanvas.getViewport().getClientArea();
////            scaledLocation.x -= rect.x;
////            scaledLocation.y -= rect.y;
//// 			Helper.debug ("Looking at (" + scaledLocation.x + ", " + scaledLocation.y + ")");               
//			EditPart part = editPart.getRoot ().getViewer ().findObjectAt (scaledLocation);
//			if (part instanceof ComponentEditPart) 
//				return true && super.canExecute ();
//			else
//				return false;
//		}
//		else if (child instanceof AcmeRole) {
//			Point scaledLocation = location;
////			double scale = Helper.getScale (((ElementEditPart )editPart).getFigure());
////			Helper.scaleLocation (scaledLocation, 1/scale);
//			if (editPart.getRoot ().getViewer ().findObjectAt (scaledLocation) instanceof ConnectorEditPart) 
//				return true && super.canExecute ();
//			else
//				return false;
//		}
//		    
		return super.canExecute ();				
	}

}
