package AcmeStudio.ui.editors.diagram.figures;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.StackLayout;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

import AcmeStudio.util.Helper;
import acmeLib.elements.AcmeElement;

public class ComponentView extends AcmeVisElement {
    public void setModel(AcmeElement model) {
        super.setModel(model);
        IFigure parentView = getParent();
        Point location = null;
        if (parentView instanceof SystemView) {
            location = ((SystemView) parentView).getElementLocation(model);
        }

        //        if (location == null) {
        //            location =
        //                new Point(Math.random() * 90 + 30, Math.random() * 90 + 30);
        //            SystemView.setLocation(model, location);
        //        }
        if (location != null) {
            Rectangle rect = new Rectangle(location, Helper.getSize(model));
            rect.expand(-6, -6);
            this.setBounds(rect);
        }

        //        this.setSize(size.width, size.height);
        //        this.setLocation(location);

    }

    public ComponentView() {
        setLayoutManager(new StackLayout());
    }

//	/**
//	 * @param figure
//	 * @param constraint
//	 * @param index
//	 * @see org.eclipse.draw2d.IFigure#add(org.eclipse.draw2d.IFigure, java.lang.Object, int)
//	 **/
//	public void add(IFigure figure, Object constraint, int index) {
//		if (!(figure instanceof FreeformViewport)) {
//			FreeformViewport port= (FreeformViewport )getChildren().get (0);
//			ScalableFreeformLayeredPane pane = (ScalableFreeformLayeredPane )port.getChildren().get (0);
//			pane.add(figure, constraint, index);
//		}
//		else {
//			super.add (figure, constraint, index);
//		}
//	}
}