package AcmeStudio.ui.editors.diagram.figures;

import org.eclipse.draw2d.geometry.Point;

import acmeLib.elements.AcmeElement;

public class ConnectorView extends AcmeVisElement {
	public void setModel(AcmeElement model) {
		super.setModel (model);
		Point location = SystemView.getLocation(model, true);

		if (location == null) {
			location = new Point (Math.random () * 90 + 10, Math.random () * 90 + 10);
			SystemView.setLocation (model, location);
		}
	}

	public ConnectorView() {
		super ();
	}
}