package AcmeStudio.ui.editors.diagram.figures;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.FigureUtilities;
import org.eclipse.swt.graphics.Color;
import com.swtdesigner.SWTResourceManager;

public interface ElementColorConstants
	extends ColorConstants{
	public final static Color 
		green = SWTResourceManager.getColor (40,100,70),
		primarySelectedColor = SWTResourceManager.getColor (10,36,106),
		secondarySelectedColor = FigureUtilities.mixColors(primarySelectedColor, button),
		backgroundColor = SWTResourceManager.getColor (0xFF, 0xFF, 0xFF),
		componentFillColor = SWTResourceManager.getColor (0, 192, 192),
        componentOutlineColor = black,        
		connectorFillColor = SWTResourceManager.getColor (0xAA, 0xAA, 0xAA),
        connectorOutlineColor = SWTResourceManager.getColor (0xAA, 0xAA, 0xAA),             		
		portOutlineColor = SWTResourceManager.getColor (0,0xAA, 0xFF),
        portFillColor = SWTResourceManager.getColor (0, 0xAA, 0xFF),              		
		roleOutlineColor = SWTResourceManager.getColor ( 0xAA, 0xAA, 0xAA),
        roleFillColor = SWTResourceManager.getColor (0xAA, 0xAA, 0xAA),        
        attachmentFillColor = SWTResourceManager.getColor (0, 0, 0xFF),
        attachmentOutlineColor = SWTResourceManager.getColor (0, 0, 0xFF),
		textColor = SWTResourceManager.getColor (0, 0, 0);		
}