package AcmeStudio.ui.editors.diagram.figures;

import org.eclipse.draw2d.IFigure;


public class ElementFigureFactory {

	public static IFigure createComponentView() {
		IFigure f = new ComponentView();
		return f;
	}
	public static IFigure createConnectorView() {
		IFigure f = new ConnectorView();
		return f;
	}
	public static IFigure createSystemView() {
		IFigure f = new SystemView();
		return f;
	}
	public static IFigure createPortView() {
		IFigure f = new PortView();
		return f;
	}
	public static IFigure createRoleView() {
		IFigure f = new RoleView();
		return f;
	}

	public static IFigure createBindingPointView () {
		IFigure f = new BindingPointView ();
		return f;
	}
	
	public static IFigure createBindingView () {
		IFigure f = new BindingView ();
		return f;
	}
//	/**
//	 * @return
//	 */
//	public static IFigure createRepresentationBorderView() {
//		IFigure f = new RepresentationBorderView ();
//		return f;
//	}
}