/*
 * Created on Jun 18, 2004
 *
 */
package AcmeStudio.ui.editors.diagram.figures;

import org.eclipse.draw2d.geometry.Point;


public class IntersectingPoint extends Point {
	public static final int NORMAL = 0;
	public static final int BIG = 1;
	int type = NORMAL;
	private Point	_bp1;
	private Point	_bp2;
	
	/**
	 * @param i
	 * @param j
	 */
	public IntersectingPoint(int i, int j) {
		super (i, j);
	}

	public void setBetweenBendpoints (Point bp1, Point bp2) {
		_bp1 = bp1;
		_bp2 = bp2;
	}
	
	Point [] getBetweenBendpoints () {
		return new Point [] {_bp1, _bp2};
	}
	/**
	 * @return Returns the type.
	 */
	public int getType() {
		return type;
	}
	/**
	 * @param type The type to set.
	 */
	public void setType(int type) {
		this.type = type;
	}
	
	
	/**
	 * @return
	 * @see org.eclipse.draw2d.geometry.Point#getCopy()
	 **/
	public Point getCopy() {
		IntersectingPoint p = new IntersectingPoint (x,y);
		p.setBetweenBendpoints (_bp1, _bp2);
		return p;
	}
}