package AcmeStudio.ui.editors.diagram.policies;

import java.util.List;
import java.util.Vector;

import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy;
import org.eclipse.gef.handles.ConnectionEndHandle;
import org.eclipse.gef.handles.ConnectionStartHandle;
import org.eclipse.gef.requests.ReconnectRequest;

import AcmeStudio.ui.editors.diagram.parts.BindingEditPart;

/**
 * @author schmerl
 *
 */
public class BindingEditPolicy extends ConnectionEndpointEditPolicy {

	/**
	 * Constructor for BindingEditPolicy.
	 */
	public BindingEditPolicy() {
		super();
	}


	/**
	 * @see org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy#createSelectionHandles()
	 */
	protected List createSelectionHandles() {
		List list = new Vector ();
		BindingEditPart bep = new BindingEditPart ();
		bep.setModel (getHost ().getModel ());
		
		list.add (new ConnectionEndHandle (bep));
		list.add (new ConnectionStartHandle (bep));
		return list;
	}

	/**
	 * @see org.eclipse.gef.EditPolicy#getCommand(Request)
	 */
	public Command getCommand(Request request) {
		return super.getCommand(request);
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy#showConnectionMoveFeedback(ReconnectRequest)
	 */
	protected void showConnectionMoveFeedback(ReconnectRequest request) {
		super.showConnectionMoveFeedback(request);
	}
	


}
