/*
 * Created on Dec 8, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.ruler;

import AcmeStudio.ui.editors.diagram.ruler.model.DiagramGuide;
import acmeLib.elements.AcmeElement;

/**
 * @author Bradley Schmerl
 * Created Dec 8, 2003
 */
public class Helper {

	/**
	 * 
	 */
	public Helper() {
		super();
	}

	/**
	 * @param element
	 * @param guide
	 */
	public static void setElementVerticalGuide(AcmeElement element, DiagramGuide guide) {
		element.setUserData ("$VerticalGuide$", guide);
	}

	/**
	 * @param element
	 * @param guide
	 */
	public static void setElementHorizontalGuide(AcmeElement element, DiagramGuide guide) {
		element.setUserData ("$HorizontalGuide$", guide);
	}

	/**
	 * @param element
	 * @param b
	 * @return
	 */
	public static DiagramGuide getGuide(AcmeElement element, boolean horizontal) {
		if (horizontal) {
			return (DiagramGuide )element.getUserData ("$HorizontalGuide$");
		}
		else {
			return (DiagramGuide )element.getUserData ("$VerticalGuide$");
		}
	}

}
