/*
 * Created on May 29, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.styles;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;


/**
 * Enumeration of vertical alignment options
 */
public class AlignmentOptions {
    public static final int DEFAULT = 0,
        LEFT = 1,
        RIGHT = 2,
        TOP = 3,
        BOTTOM = 4,
        CENTER = 5;

    public static final String[] LABELS =
        new String[] {
            "Default",
            "Left",
            "Right",
            "Top",
            "Bottom",
            "Center" };

    public static final List ALIGNMENTNAMES = new ArrayList();
    public static final Hashtable ALIGNMENTS = new Hashtable();
    static {
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.DEFAULT, "Default");
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.LEFT, "Left");
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.RIGHT, "Right");
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.TOP, "Top");
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.BOTTOM, "Bottom");
        AlignmentOptions.ALIGNMENTNAMES.add(AlignmentOptions.CENTER, "Center");
        AlignmentOptions.ALIGNMENTS.put("Default", new Integer(AlignmentOptions.DEFAULT));
        AlignmentOptions.ALIGNMENTS.put("Left", new Integer(AlignmentOptions.LEFT));
        AlignmentOptions.ALIGNMENTS.put("Right", new Integer(AlignmentOptions.RIGHT));
        AlignmentOptions.ALIGNMENTS.put("Top", new Integer(AlignmentOptions.TOP));
        AlignmentOptions.ALIGNMENTS.put("Bottom", new Integer(AlignmentOptions.BOTTOM));
        AlignmentOptions.ALIGNMENTS.put("Center", new Integer(AlignmentOptions.CENTER));
    }
}