package AcmeStudio.ui.editors.diagram.styles;

import java.util.LinkedList;
import java.util.Vector;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

import AcmeStudio.wizards.connection.PortConnectionRule;
import acmeLib.elements.AcmeDesign;
import acmeLib.elements.AcmeFamily;

/**
 * @author schmerl
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class ChangeRulePrioritiesDialog extends Dialog {

    AcmeDesign _design;
    private LinkedList rules;
    private Vector conflicts;
	/**
	 * The style being edited. Note, this is a copy of an original style, which
	 * should faciliate undo
	 */
	protected SystemVisualization _sysVis;
    
    public ChangeRulePrioritiesDialog (Shell shell, AcmeFamily type) {
        super (shell);   
        
        //Get all of the rules and store them
        _sysVis = VisualStyleRegistry.getSysVis(type).copy();
        rules = new LinkedList(_sysVis.getAllPortConnectionRules(null)); //null to get all rules
        processConflicts();
    }

    private void processConflicts()
    {
        //Go through the linked list (n^2 running time, explore if short is
        //possible) and find conflicts...add each set of conflicts (Vectors
        //holding PortConnectionRules) to the vector conflicts
        
        while(!rules.isEmpty())
        {
            Vector temp = new Vector();
            PortConnectionRule compare = (PortConnectionRule) rules.get(0); //must exist because !isEmpty
            temp.add(compare);
            for (int i = 1; i < rules.size(); i++)
            {
                PortConnectionRule holder = (PortConnectionRule)rules.get(i);
                
                //see if this rule is ambiguous with the current compare rule
                
                	
            }
        }
    }
    
    /**
     * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(Composite)
     */
    protected Control createDialogArea(Composite parent) {
        Composite p = (Composite ) super.createDialogArea(parent);
        p.setLayout(new FillLayout());
        
        Composite top = new Composite (p, SWT.NONE);
        GridLayout layout = new GridLayout (1, false);
        top.setLayout(layout);
        
        Label title = new Label(top, SWT.None);
        title.setText("Choose which rule to use for each rule conflict that exists \n in the currently defined set of rules:");
        
        return p;
    }



    /**
     * @see org.eclipse.jface.dialogs.Dialog#okPressed()
     */
    protected void okPressed() {
        
        super.okPressed();
    } 
}
