/*
 * Created on Mar 24, 2004
 *
 */
package AcmeStudio.ui.editors.diagram.styles.constants;

import java.util.ArrayList;
import java.util.List;


/**
 * Enumeration of horizontal alignment options
 */
public class HorizontalTextAlignmentOptions {
    public static final int DEFAULT = 0,
        LEFT = 1,
        CENTER = 2,
        RIGHT = 3,
        LEFT_OUTSIDE = 4,
        RIGHT_OUTSIDE = 5;
    public static final String[] LABELS =
        new String[] {
            "Default",
            "Left",
            "Center",
            "Right",
            "Left of",
            "Right of" };
    public static final List HORIZALIGNNAMES = new ArrayList();
    static {
        HORIZALIGNNAMES.add(DEFAULT, "Default");
        HORIZALIGNNAMES.add(LEFT, "Left");
        HORIZALIGNNAMES.add(CENTER, "Center");
        HORIZALIGNNAMES.add(RIGHT, "Right");
        HORIZALIGNNAMES.add(LEFT_OUTSIDE, "Left Outside");
        HORIZALIGNNAMES.add(RIGHT_OUTSIDE, "Right Outside");
    }
}