/*
 * Created on May 29, 2003
 *
 */
package AcmeStudio.ui.editors.diagram.styles.constants;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;


/**
 * Enumeration of horizontal alignment options
 */
public class SideOptions {
    public static final int DEFAULT = 0,
        LEFT = 1,
        RIGHT = 2,
        TOP = 3,
        BOTTOM = 4,
        VCENTER = 5,
        HCENTER = 6;

    public static final String[] LABELGROUP1 =
        new String[] { "Default", "Left", "Right", "Top", "Bottom" };

    public static final String[] LABELGROUP2 =
        new String[] { "Default", "Left", "Right", "Top", "Bottom", "Vertical Center", "Horizontal Center" };

    public static final List SIDENAMES = new ArrayList();
    public static final Hashtable SIDES = new Hashtable();
    static {
        SideOptions.SIDENAMES.add(SideOptions.DEFAULT, "Default");
        SideOptions.SIDENAMES.add(SideOptions.LEFT, "Left");
        SideOptions.SIDENAMES.add(SideOptions.RIGHT, "Right");
        SideOptions.SIDENAMES.add(SideOptions.TOP, "Top");
        SideOptions.SIDENAMES.add(SideOptions.BOTTOM, "Bottom");
        SideOptions.SIDENAMES.add(SideOptions.VCENTER, "Vertical Center");
        SideOptions.SIDENAMES.add(SideOptions.HCENTER, "Horizontal Center");

        SideOptions.SIDES.put("Default", new Integer(SideOptions.DEFAULT));
        SideOptions.SIDES.put("Left", new Integer(SideOptions.LEFT));
        SideOptions.SIDES.put("Right", new Integer(SideOptions.RIGHT));
        SideOptions.SIDES.put("Top", new Integer(SideOptions.TOP));
        SideOptions.SIDES.put("Bottom", new Integer(SideOptions.BOTTOM));
        SideOptions.SIDES.put("Vertical Center", new Integer(SideOptions.VCENTER));
        SideOptions.SIDES.put("Horizontal Center", new Integer(SideOptions.HCENTER));
    }
}