package AcmeStudio.ui.editors.text;

import java.util.Iterator;

import org.eclipse.core.resources.IMarker;
import org.eclipse.jface.text.source.IAnnotationHover;
import org.eclipse.jface.text.source.IAnnotationModel;
import org.eclipse.jface.text.source.ISourceViewer;
import org.eclipse.ui.texteditor.MarkerAnnotation;

/**
 * @author schmerl
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class AcmeAnnotationHover implements IAnnotationHover {

    /**
     * @see org.eclipse.jface.text.source.IAnnotationHover#getHoverInfo(ISourceViewer, int)
     */
    public String getHoverInfo(ISourceViewer sourceViewer, int lineNumber) {
        IAnnotationModel model = sourceViewer.getAnnotationModel();
        Iterator i = model.getAnnotationIterator ();
        while (i.hasNext ()) {
        	Object o = i.next ();
        	if (o instanceof MarkerAnnotation) {
	            MarkerAnnotation a = (MarkerAnnotation )o;
	            IMarker marker = a.getMarker ();
	            if (marker.getAttribute (IMarker.LINE_NUMBER, -1) == lineNumber + 1) {
	                return marker.getAttribute (IMarker.MESSAGE, "");
	            }
        	}
        }
       
   
        return null;
    }

}
