package AcmeStudio.ui.views.parts;

import java.util.Vector;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

import acmeLib.elements.AcmeDesign;

/**
 * @author schmerl
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class AlertAmbiguousRule extends Dialog {

    AcmeDesign _design;
    private Vector conflicts;

    
    public AlertAmbiguousRule (Shell shell, Vector conflicts) {
        super (shell);   
        this.conflicts = conflicts;
    }

    /**
     * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(Composite)
     */
    protected Control createDialogArea(Composite parent) {
        Composite p = (Composite ) super.createDialogArea(parent);
        p.setLayout(new FillLayout());
        
        Composite top = new Composite (p, SWT.NONE);
        GridLayout layout = new GridLayout (1, false);
        top.setLayout(layout);
        
        Label title = new Label(top, SWT.None);
        title.setText("There are ambiguous rules matching your connection.  \nPlease either " + 
                			"choose the rule directly from the family palette, \n or choose a rule to take priority " + 
                			"with this type of conflict by \nchanging the automatition rules for this style.  ");
        
        Button transfer = new Button(top, SWT.PUSH | SWT.CENTER);
        transfer.setText("Click Here To Change Automation Rules");
        transfer.addSelectionListener(new SelectionAdapter()
        		{
        			public void widgetSelected(SelectionEvent evt)
        			{
        				//LFW ADD CODE to change automation rules 
        			}
        		});
        
        
        return p;
    }



    /**
     * @see org.eclipse.jface.dialogs.Dialog#okPressed()
     */
    protected void okPressed() {
        
        super.okPressed();
    } 
}
