/*
 * Created on Jul 20, 2004
 *
 */
package AcmeStudio.ui.views.parts;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.ISelectionChangedListener;
import org.eclipse.jface.viewers.SelectionChangedEvent;


/**
 * @author Bradley Schmerl
 * Created Jul 20, 2004
 */
public abstract class ViewSelectionAction extends Action implements ISelectionChangedListener {

	/**
	 * 
	 */
	public ViewSelectionAction() {
		super ();
	}

	/**
	 * @param text
	 */
	public ViewSelectionAction(String text) {
		super (text);
	}

	/**
	 * @param text
	 * @param image
	 */
	public ViewSelectionAction(String text, ImageDescriptor image) {
		super (text, image);
	}

	/**
	 * @param text
	 * @param style
	 */
	public ViewSelectionAction(String text, int style) {
		super (text, style);
	}

	/**
	 * @param event
	 * @see org.eclipse.jface.viewers.ISelectionChangedListener#selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)
	 **/
	public  void selectionChanged(SelectionChangedEvent event) {
		setEnabled (isEnabled ());
	}
}
