/*
 * Created on Jan 6, 2004
 *
 */
package AcmeStudio.ui.views.providers;

import java.util.List;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

import AcmeStudio.util.Constants;



/**
 * @author Bradley Schmerl
 * Created Jan 6, 2004
 */
public class ListContentProvider implements IStructuredContentProvider {

	/**
	 * 
	 */
	public ListContentProvider() {
		super ();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java.lang.Object)
	 */
	public Object[] getElements(Object inputElement) {
		if (inputElement instanceof List) {
			return ((List )inputElement).toArray ();
		}
		return Constants.EMPTY_ELEMENTS;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IContentProvider#dispose()
	 */
	public void dispose() {
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.IContentProvider#inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)
	 */
	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
	}
}
