/*
 * Created on Sep 29, 2003
 *
 */
package AcmeStudio.ui.views.providers;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

import acmeLib.designRules.DesignRuleParameter;

/**
 * @author Bradley Schmerl
 * Created Sep 29, 2003
 */
public class ParameterLabelProvider extends LabelProvider implements ITableLabelProvider {

	/**
	 * 
	 */
	public ParameterLabelProvider() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
	 */
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
	 */
	public String getColumnText(Object element, int columnIndex) {
		String label = "";
		DesignRuleParameter param = null;
		if (element instanceof DesignRuleParameter) {
			 param = (DesignRuleParameter) element;
		}
		if (param == null) return label;
		switch (columnIndex) {
			case 0 : return param.getName();		
			case 1 : return param.getType().getTypeName();
		}
		return label;
	}

}
