/*
 * Created on Feb 24, 2004
 *
 */
package AcmeStudio.util;

import acmeLib.properties.AcmePropertyType;
import acmeLib.properties.AcmePropertyValue;


/**
 * @author Bradley Schmerl
 * Created Feb 24, 2004
 */
public class AcmeErroneousPropertyValue extends AcmePropertyValue {

	AcmePropertyType _type;
	String _value;
	/* (non-Javadoc)
	 * @see acmeLib.properties.AcmePropertyValue#copy()
	 */
	public AcmePropertyValue copy() {
		AcmeErroneousPropertyValue c = new AcmeErroneousPropertyValue (new String (_value), _type.copy ());
		return c;
	}

	/* (non-Javadoc)
	 * @see acmeLib.properties.AcmePropertyValue#assignType(acmeLib.properties.AcmePropertyType)
	 */
	public void assignType(AcmePropertyType type) {
		_type = type;
	}
	
	public AcmeErroneousPropertyValue (String value, AcmePropertyType type) {
		_value = value;
		_type = type;
	}
	
	public String getValue () {
		return _value;
	}
	
	public String toString () {
		return _value;
	}
	
	public AcmePropertyType getType () {
		return _type;
	}
}
