/*
 * Created on Feb 10, 2004
 *
 */
package AcmeStudio.util;

import org.eclipse.jface.viewers.ComboBoxCellEditor;
import org.eclipse.swt.custom.CCombo;
import org.eclipse.swt.widgets.Composite;


public class AutoApplyEditableComboBoxCellEditor extends ComboBoxCellEditor {
	public AutoApplyEditableComboBoxCellEditor(Composite parent, String[] list) {
		super(parent, list);
	}
	public void fireApplyEditorValue() {
		super.fireApplyEditorValue();
	}
	
	protected Object doGetValue () {
		Object o = super.doGetValue ();
		if (o instanceof Integer && ((Integer )o).intValue() == -1) {
			CCombo combo = (CCombo )this.getControl ();
			String [] values = combo.getItems();
			String text = combo.getText ();
			int index = -1;
			for (int i = 0; i < values.length && index < 0; i++) {
				if (values [i].equalsIgnoreCase(text)) {
					index = i;
				}
			}
			return new Integer (index);
		}
		return o;
	}
	
}