/*
 * Created on Jan 6, 2005
 *
 */
package AcmeStudioShapeExtension.palette;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CombinedTemplateCreationEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;


/**
 * @author Bradley Schmerl
 * Created Jan 6, 2005
 */
public class LineCreationToolEntry extends CombinedTemplateCreationEntry {

	/**
	 * @param label
	 * @param shortDesc
	 * @param template
	 * @param factory
	 * @param iconSmall
	 * @param iconLarge
	 */
	public LineCreationToolEntry(String label, String shortDesc, Object template, CreationFactory factory, ImageDescriptor iconSmall, ImageDescriptor iconLarge) {
		super (label, shortDesc, template, factory, iconSmall, iconLarge);
	}
	
	
	/**
	 * @return
	 * @see org.eclipse.gef.palette.CreationToolEntry#createTool()
	 **/
	public Tool createTool() {
		return new LineCreationTool (factory);
	}
}
