/*
 * Created on Jan 8, 2005
 *
 */
package AcmeStudioShapeExtension.policies;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.FigureUtilities;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.IFigure;
import org.eclipse.gef.editpolicies.ResizableEditPolicy;
import AcmeStudioShapeExtension.figures.ShapeFeedbackFigure;
import AcmeStudioShapeExtension.model.Annotation;


/**
 * @author Bradley Schmerl
 * Created Jan 8, 2005
 */
public class ShapeSelectionEditPolicy extends ResizableEditPolicy {

/**
 * @return
 * @see org.eclipse.gef.editpolicies.NonResizableEditPolicy#createDragSourceFeedbackFigure()
 **/
protected IFigure createDragSourceFeedbackFigure() {
	ShapeFeedbackFigure f = new ShapeFeedbackFigure ((Annotation )getHost().getModel ());
	FigureUtilities.makeGhostShape (f);
	f.setLineStyle (Graphics.LINE_DOT);
	f.setForegroundColor(ColorConstants.white);
	f.setBounds (getInitialFeedbackBounds());
	addFeedback (f);
	return f;
}
}
