package acme.translators;
import acmeLib.errorManagement.*;

public interface AcmeTranslator {
    
    String getFileType ();
    String importAcme (String path);
    boolean exportAcme (String path, String acmeDesign);
    
    boolean moreResults ();
    AcmeError getNextResult ();
    
    public static final int REFERENCE_IMPORTED_FAMILIES = 0;
    public static final int INLINE_IMPORTED_FAMILIES = 1;
    public static final int EXPORT_IMPORTED_FAMILIES = 2;
}
