package acme.translators.RoseRTTypes;

/**
 * Class: Util <br>
 * Purpose: Provides a set of utility methods for convenience. <br>
 * <br>
 * Revision History: <br>
 *   Date    Person    Change: <br>
 * 5/23/01    SWC      Created initial version <br>
 * <br>
 * Known bugs/omissions:<br>
 *   - <br>
 * @author Owen Cheng (SWC)
 */

public class Util {

    /**
     * Returns the supplied boolean value as an all-cap string.
     *
     * @param value boolean value to print
     * @return String
     */
    static public String printBool(boolean value) {
	if (value) {
	    return "TRUE";
	} else {
	    return "FALSE";
	}
    }

    /**
     * Returns the supplied boolean value as an all-cap string.
     *
     * @param value boolean value to print
     * @return String
     */
    static public String indent(int count) {
	String str = "";
	for (int i=0; i < count; i++) {
	    str += " ";
	}

	return str;
    }
}
