
package acmeLib.core.exceptions;


/** 
 *  Class:   AcmeException
<BR>
 *  Purpose: Base class for AcmeLib exceptions
<BR><BR>
 *
 *  Revision History:
<BR>
 *    Date:     Person    Change
<BR>
 *    4/22/97    RTM     Created
<BR><BR>
 *
 *  @author Bob Monroe<BR>
 */


public class AcmeException extends java.lang.Exception {

  /** 
   * This is the constructor for this class
   */
    public AcmeException() {
        super();
    };

  /** 
   * This is the constructor for this class
   * @param errMsg the messages to be printed when this exception occurs
   */
    public AcmeException(String errMsg) {
        super(errMsg);
    };

  /**
   * This method prints a message with an error
   */
    public void showError() {
	  System.err.println(this.getMessage());
	};

};
