
package acmeLib.core.exceptions;


/** 
 *  Class:   AcmeNullBindingException
<BR>
 *  Purpose: Exception that is raised when something attempts to add
<BR>
 *           a null binding to a representation
<BR><BR>
 *
 *  Revision History:
<BR>
 *    Date:     Person    Change
<BR>
 *    6/5/97    RTM     Created
<BR><BR>
 *
 *  @author Bob Monroe<BR>
 */


public class AcmeNullBindingException extends AcmeException {

  /** 
   * This is a constructor for this class
   */
    public AcmeNullBindingException() {
        super("Acme Null Binding Exception");
    };

  /**
   * This is the constructor for this class
   * @param errMsg the message to be printed when this exception occurs
   */
    public AcmeNullBindingException(String errMsg) {
        super(errMsg);
    };
};
