
package acmeLib.core.exceptions;

/** 
 *  Class:   AcmePropertyLookupFailedException
 <BR>
 *  Purpose: Exception that is raised when somebody tries to get a
<BR>
 *           non-existent property from an element.
<BR><BR>
 *
 *  Revision History:
<BR>
 *    Date:     Person    Change
<BR>
 *   6/05/97   RTM     Created
<BR><BR>
 *
 *  @author Bob Monroe<BR>
 */
public class AcmePropertyLookupFailedException extends AcmeException {

  /**
   * This is the constructor for this class
   */
    public AcmePropertyLookupFailedException() {
        super("Acme Property Lookup Failed Exception");
    };

  /**
   * This is the constructor for this class
   * @param errMsg the message to be printed when this exception occurs
   */
    public AcmePropertyLookupFailedException(String errMsg) {
        super(errMsg);
    };
};
