
package acmeLib.core.exceptions;

/** 
 *  Class:    AcmeTypeLookupFailedException
<BR>
 *  Purpose:  Exception thrown when a type lookup fails
 <BR><BR>
 *
 *  Revision History:
<BR>
 *    Date:     Person    Change
<BR>
 *    4/28/97    RTM     Created
<BR><BR>
 *
 *  @author Bob Monroe<BR>
 */
public class AcmeTypeLookupFailedException extends AcmeException {

  /**
   * This is the constructor for this class
   */
    public AcmeTypeLookupFailedException() {
        super("Type Lookup Failed Exception");
    };

  /**
   * This is the constructor for this class
   * @param errMsg the message to be printed when this exception occurs
   */
    public AcmeTypeLookupFailedException(String errMsg) {
        super(errMsg);
    };
};

