
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.elements.*;

/**
 * Filter that removes all objects that are not AcmeComponentTypes
 */
public class ComponentTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @param obj the object to be tested
   * @return whether obj is an instance of AcmeComponentType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmeComponentType );
    };
};

