
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.elements.*;

/**
 * Filter that removes all objects that are not AcmeConnectorTypes
 */
public class ConnectorTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @param obj the object to be tested
   * @return whether obj is an instance of AcmeConnectorType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmeConnectorType );
    };
};

