
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.elements.*;

/**
 * Filter that removes all objects that are not AcmeElementTypes
 */
public class ElementTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @return whether obj is an instance of AcmeElementType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmeElementType );
    };
};

