
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.elements.*;

/**
 * Filter that removes all objects that are not AcmePortTypes
 */
public class PortTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @param obj the object to be tested
   * @return whether obj is an instance of AcmePortType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmePortType );
    };
};

