
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.properties.*;

/**
 * Filter that removes all objects that are not AcmePropertyTypes
 */
public class PropertyTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @return whether obj is an instance of AcmePropertyType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmePropertyType );
    };
};

