
package acmeLib.core.filters;

import acmeLib.*;
import acmeLib.elements.*;

/**
 * Filter that removes all objects that are not AcmeRoleTypes
 */

public class RoleTypeEnumFilter extends AcmeObjectFilter {
  /**
   * @param obj the object to be tested
   * @return whether obj is an instance of AcmeRoleType
   */
    public boolean test(AcmeObject obj) {
        return ( obj instanceof AcmeRoleType );
    };

};


