/*
 * Created on Jul 14, 2004
 *
 */
package acmeLib.designRules.feedback;


/**
 * @author Bradley Schmerl
 * Created Jul 14, 2004
 */
public abstract class EvaluationFeedback {

	protected final Object _result;

	/**
	 * 
	 */
	protected EvaluationFeedback(Object  result) {
		_result = result;
	}
	
	/**
	 * @return Returns the result.
	 */
	public Object getResult() {
		return _result;
	}
	
	public abstract String getVisitedString (); 
}
