package acmeLib.elements;

public class AcmeMapSignature{
    protected AcmeElementType source;
    protected AcmeElementType domain;
    
    public AcmeMapSignature(AcmeElementType source, AcmeElementType domain){
        this.source = source;
        this.domain = domain;
    }

    public AcmeElementType getSource(){
        return this.source;
    }
    
    public void setSource(AcmeElementType source){
        this.source = source;
    }

    public AcmeElementType getDomain(){
        return this.domain;
    }
    
    public void setDomain(AcmeElementType domain){
        this.domain = domain;
    }

    public String toString(){
        return source.getTypeName() + "<->" + domain.getTypeName();
    }
}