/*
 * Created on Mar 3, 2003
 *
 */
package acmeLib.properties;

import acmeLib.core.container.AcmeEnumeration;
import acmeLib.core.exceptions.AcmeIllegalNameException;

/**
 * @author schmerl
 */
public interface AcmePropertyBearer {
    public void addProperty (AcmeProperty p) throws AcmeIllegalNameException;
    public void addProperty (String name, AcmePropertyType t, AcmePropertyValue val) throws AcmeIllegalNameException;
    public void removeProperty (AcmeProperty prop);
    public void removeProperty (String name);
    public AcmeEnumeration getProperties ();
    public AcmeProperty getProperty (String name);
    public int getNumberOfProperties ();
}
