package acmeLib.tools.junli;

 import acmeLib.designRules.DesignRuleEvalException;
import acmeLib.designRules.ExpressionNode;
import acmeLib.designRules.ReferenceNode;
import acmeLib.elements.AcmeElement;
import acmeLib.elements.AcmeSystem;

 public class test {

    public static boolean  countAble(ExpressionNode sysNode)
          throws DesignRuleEvalException {

       AcmeElement element = null;

       try {

// Begin RTM Addition.  Be sure to refresh the reference of all
// reference nodes in an external analysis before evaluating them...
// I can explain this in detail the next time we meet.
           if (sysNode instanceof ReferenceNode) {
               ((ReferenceNode) sysNode).refreshReferentObject();
           };
// End RTM Addition.

           element = sysNode.evaluateAsElement();
       }
       catch (ClassCastException ccExc) {
           throw new DesignRuleEvalException("unable to cast the element argument"
             + " passed to preconditionsChecking(.) external analysis");
       }
       catch (DesignRuleEvalException drExc) {
           throw new DesignRuleEvalException
               ("unable to evaluate the element argument"
                  + " passed to preconditionsChecking(.) external analysis");
       }

       if ( !(element instanceof AcmeSystem)){
           throw new DesignRuleEvalException
              (" preconditionsChecking(.) external analyis requires the entry arguement is AcmeSystem");
       }
       else {

            System.out.println("\n the system name is: " + element.getName());
            System.out.println("the system has component number of: " +
                 ((AcmeSystem)element).getComponents().getSize());

            return ( ((AcmeSystem)element).getComponents().getSize()>0);
       }
    }

}